/**
 *  This file is part of Escudo.
 *
 *  Escudo is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Escudo is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Escudo.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Code taken from Firebug
 */

function XPCOMUtils() {}

(function() {
    var _CI = Components.interfaces;
    var _CC = Components.classes;

    this.CC = function(cName) { return _CC[cName]; };
    this.CI = function(ifaceName) { return _CI[ifaceName]; };
    this.CCSV = function(cName, ifaceName) { return _CC[cName].getService(_CI[ifaceName]); };
    this.CCIN = function(cName, ifaceName) { return _CC[cName].createInstance(_CI[ifaceName]); };
    this.QI = function(obj, iface) { return obj.QueryInterface(iface); };
}).apply(XPCOMUtils);
